.TH MPEGSTAT  N  "07 Oct 1993" "" "UTILITY"
.SH NAME
mpegstat \- analyzing tool for MPEG-I video streams
.SH SYNOPSIS
.B mpegstat
[\fImpeg_stream\fR]

.SH DESCRIPTION
.IR MPEGSTAT
is a useful utility for analyzing MPEG-I video streams. It is 
based on the Berkeley MPEG movie player.
.IR MPEGSTAT
reads a video stream from a file or stdin and shows the frame type pattern
as it is found while parsing. After the stream is completely parsed it displays
the frame pattern as it would be displayed by a MPEG viewer. It then generates 
a summary of various mpeg format related statistics.
.IR MPEGSTAT
works for MPEG movies that are Paris format compatible. 
.SH OPTIONS
.TP 8
.IR MPEGSTAT
doesn't use any options.
.SH USAGE
.TP 8
MPEGSTAT [\fIfilename\fR]

.SH SEE ALSO
.LP
.BR "\fIMPEG ISO/IEC Standard 11172\fR", 

.SH BUGS
.LP
Unpredictable effects were noticed on illegal MPEG streams.

.SH AUTHORS
.HP
.BR "\fIAuthors of the Berkeley mpeg player\fR"
.SP

Ketan Patel - University of California, Berkeley, kpatel@cs.berkeley.edu
Brian Smith - University of California, Berkeley, bsmith@cs.berkeley.edu
Henry Chi-To Ma - University of California, Berkeley, cma@cs.berkeley.edu
Kim Man Liu - University of California, Berkeley, kliu@cs.berkeley.edu
.SP
.HP
.BR "\fIAuthors of the additional analyzing code\fR"
.SP

Multimedia systems project - Technical University of Berlin, Germany

Tom Pfeifer, Dept. of Computer Science, pfeifer@fokus.gmd.de

Jens Brettin - Alexander Schulze - Harald Masche - Dirk Schubert

